Subject: Re: [RFC PATCH] net: Add support for device specific address syncing

From: Alexander Duyck <[email-masked]>
Date: Fri, 16 May 2014 15:24:27 -0700

On 05/16/2014 01:47 PM, David Miller wrote:
> From: Alexander Duyck <[email-masked]>
> Date: Fri, 16 May 2014 12:55:42 -0700
> 
>> I can understand going into promisc on a sync failure, but why would you
>> do it on an unsync failure, or are you saying that we would be clearing
>> the flag in unsync?
> 
> We should clear the promisc flag on unsync if the limitations are no
> longer exceeded.
> 
>> In general I intended for this to be called in set_rx_mode so if
>> __dev_uc_sync returns an error indicating insufficient resources we have
>> to force IFF_PROMISC on because adding a new address failed.  We could
>> also do the same thing for __dev_mc_sync and IFF_ALLMULTI.
> 
> Right.
> 

Okay, I think that all works.  I'll probably resubmit it next week after
it has gone though a bit more testing.

Thanks,

Alex